Subject: Re: bug#17970: log-edit creates unwanted ChangeLog buffers

From: Glenn Morris <[email-masked]>
Date: Wed, 09 Jul 2014 11:41:35 -0400

Eli Zaretskii wrote:

>> Perhaps log-edit-changelog-entries should not bother visiting
>> non-existent files.
>
> That wouldn't be TRT when starting a new repository, or a new
> directory in an existing one.

What benefit is there to vc-next-action creating empty ChangeLog buffers
in such cases?

> In addition, if the ignore file mentions ChangeLog, the command could
> deduce automatically what is TRT.

(Then we need an ignore-file parser.)
Why would you have an unversioned ChangeLog, and why would this matter
to vc-next-action?